Name:		menhir
Version:	20120109
Release:        %mkrel 1
Summary:        Menhir is a LR(1) parser generator for OCaml
License:        LGPL and QPL with static compilation exception
Group:          Development/Other
URL:		http://pauillac.inria.fr/~fpottier/menhir/
Source0:	http://pauillac.inria.fr/~fpottier/menhir/menhir-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib

%description
Menhir is a LR(1) parser generator for OCaml. It is mostly compatible
with the standard ocamlyacc and has the following enhancements:

- it accepts LR(1) grammars,
- it offers parameterized nonterminal symbols as well as a library of
  standard definitions,
- it explains conflicts in terms of the grammar,
- it allows grammar specifications to be split over multiple files and
  parametrized by OCaml modules,
- it produces reentrant parsers.

%prep
%setup -q

%build
# PREFIX is there without %{buildroot} because it is used to write the
# lib path in the source
make PREFIX=/usr

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/menhirLib
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install PREFIX=%{buildroot}/usr

%files
%doc demos/
%doc manual.pdf
%{_bindir}/menhir
%{_mandir}/man1/menhir.1*
%{_datadir}/menhir/standard.mly
%dir %{_libdir}/ocaml/menhirLib
%{_libdir}/ocaml/menhirLib/*.cmi
%{_libdir}/ocaml/menhirLib/*.cmo
%{_libdir}/ocaml/menhirLib/*.cmx
%{_libdir}/ocaml/menhirLib/*.o
%{_libdir}/ocaml/menhirLib/META


%changelog

* Thu Jan 12 2012 blue_prawn <blue_prawn> 20120109-1.mga2
+ Revision: 195177
- added req ocaml-findlib and fixed PREFIX in %%build
- fixed prefix
- corrected dest lib dir
- imported package menhir

